Subject: [dna] Applicability statement for Simple DNA (Providing text to resolve issue #11)

From: Suresh Krishnan <[email-masked]>
Date: Tue, 23 Sep 2008 11:05:22 -0400

Hi Folks,

   I propose to add the following text to a new section called
"Applicability" to resolve issue #11. The previous applicability section
will be moved into a new section called "Working assumptions".

NEW TEXT:
=========

    The Simple DNA protocol is provides substantial benefits in some
    scenarios and does not provide any benefit at all in certain other
    scenarios.  This is intentional as Simple DNA was designed for
    simplicity rather than completeness.  In particular, the Simple DNA
    protocol provides maximum benefits when a host moves between a small
    set of known links.  When a host moves to a completely new link that
    is previously unknown, the performance of the Simple DNA protocol
    will be identical to that using standard neighbor discovery
    procedures [RFC4861].

If you have any issues with this text, please respond to this mail on list.

Thanks
Suresh

_______________________________________________
dna mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dna

---

From: "Premec, Domagoj" <[email-masked]>
Date: Wed, 24 Sep 2008 15:24:51 +0200

I think that there may be cases where the host may benefit from simple DNA even when it attaches to a previously unvisited link. For example, as the host moves within the PMIP domain, the IPv6 prefix assigned to the host moves together with the host across ARs (MAGs). When attaching to a new link the host will see the new AR advertising the same prefix, but the old AR will not be reachable any more. In this case, the host should quickly update its default router to the address of the new AR to avoid loosing packets sent to the address of a previous default router. There is no need for the host to execute any address configuration/verification procedures. This would provide better handoveFrom [email-masked]  Wed Sep 24 06:26:02 2008
Content-class: urn:content-classes:message
Date: Wed, 24 Sep 2008 15:24:51 +0200
From: "Premec, Domagoj" <[email-masked]>
To: "Suresh Krishnan" <[email-masked]>, <[email-masked]>,
	"JinHyeock Choi" <[email-masked]>,
	"JinHyeock Choi" <[email-masked]>
Subject: Re: [dna] Applicability statement for Simple DNA (Providing text to
	resolve issue #11)
Sender: [email-masked]

I think that there may be cases where the host may benefit from simple DNA even when it attaches to a previously unvisited link. For example, as the host moves within the PMIP domain, the IPv6 prefix assigned to the host moves together with the host across ARs (MAGs). When attaching to a new link the host will see the new AR advertising the same prefix, but the old AR will not be reachable any more. In this case, the host should quickly update its default router to the address of the new AR to avoid loosing packets sent to the address of a previous default router. There is no need for the host to execute any address configuration/verification procedures. This would provide better handover perfr perfomance when moving within the PMIP domain. Is this someting that could be accomodated by the simple DNA?

domagoj 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Suresh Krishnan
> Sent: 23. rujan 2008 17:05
> To: [email-masked]; JinHyeock Choi; JinHyeock Choi
> Subject: [dna] Applicability statement for Simple DNA 
> (Providing text to resolve issue #11)
> 
> Hi Folks,
> 
>    I propose to add the following text to a new section 
> called "Applicability" to resolve issue #11. The previous 
> applicability section will be moved into a new section called 
> "Working assumptions".
> 
> NEW TEXT:
> =========
> 

omance when moving within the PMIP domain. Is this someting that could be accomodated by the simple DNA?

domagoj 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Suresh Krishnan
> Sent: 23. rujan 2008 17:05
> To: [email-masked]; JinHyeock Choi; JinHyeock Choi
> Subject: [dna] Applicability statement for Simple DNA 
> (Providing text to resolve issue #11)
> 
> Hi Folks,
> 
>    I propose to add the following text to a new section 
> called "Applicability" to resolve issue #11. The previous 
> applicability section will be moved into a new section called 
> "Working assumptions".
> 
> NEW TEXT:
> =========
>

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 15:48:17 +0200

Quick question for clarification.

You said "the host should quickly update its default router to the 
address of the new AR".

By "address" I'm assuming you mean "link layer address". Is that 
correct?

--julien

On Wednesday 24 September 2008, Premec, Domagoj wrote:
> I think that there may be cases where the host may benefit from
> simple DNA even when it attaches to a previously unvisited link. For
> example, as the host moves within the PMIP doFrom [email-masked]  Wed Sep 24 06:48:26 2008
To: [email-masked]
Date: Wed, 24 Sep 2008 15:48:17 +0200
From: Julien Laganier <[email-masked]>
Subject: Re: [dna] Applicability statement for Simple DNA (Providing text to
	resolve issue #11)
Sender: [email-masked]

Quick question for clarification.

You said "the host should quickly update its default router to the 
address of the new AR".

By "address" I'm assuming you mean "link layer address". Is that 
correct?

--julien

On Wednesday 24 September 2008, Premec, Domagoj wrote:
> I think that there may be cases where the host may benefit from
> simple DNA even when it attaches to a previously unvisited link. For
> example, as the host moves within the PMIP domain, main, the IPv6 prefix
> assigned to the host moves together with the host across ARs (MAGs).
> When attaching to a new link the host will see the new AR advertising
> the same prefix, but the old AR will not be reachable any more. In
> this case, the host should quickly update its default router to the
> address of the new AR to avoid loosing packets sent to the address of
> a previous default router. There is no need for the host to execute
> any address configuration/verification procedures. This would provide
> better handover perfomance when moving within the PMIP domain. Is
> this someting that could be accomodated by the simple DNA?
>
> domagoj
>
> >     The Simple DNA protocol is provides substantial benefits in
> > some scenarios and does not provide any benefit at all in certain
> > other scenarios.  This is intentional as Simple DNA was designed
> > for simplicity rather than completeness.  In particular, the Simple
> > DNA
> >     is previously unknown, the performance of the Simple DNA
> > protocol will be identical to that using standard neighbor
> > discovery procedures [RFC4861].
> >

-- 
--julien

[ New email address: [email-masked] ]
_______________________________________________
dna mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dna

the IPv6 prefix
> assigned to the host moves together with the host across ARs (MAGs).
> When attaching to a new link the host will see the new AR advertising
> the same prefix, but the old AR will not be reachable any more. In
> this case, the host should quickly update its default router to the
> address of the new AR to avoid loosing packets sent to the address of
> a previous default router. There is no need for the host to execute
> any address configuration/verification procedures. This would provide
> better handover perfomance when moving within the PMIP domain. Is
> this someting that could be accomodated by the simple DNA?
>
> domagoj
>
> >     The Simple DNA protocol is provides substantial benefits in
> > some scenarios and does not provide any benefit at all in certain
> > other scenarios.  This is intentional as Simple DNA was designed
> > for simplicity rather than completeness.  In particular, the Simple
> > DNA
> >     is previously unknown, the performance of the Simple DNA
> > protocol will be identical to that using standard neighbor
> > discovery procedures [RFC4861].
> >

-- 
--julien

[ New email address: [email-masked] ]
_______________________________________________
dna mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dna

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Sep 2008 10:01:33 -0400

Hi Domagoj,
   In my view (or should I say in the MN's view) of the PMIP spec the 
new AR will be indistinguishable from the old AR. This is because the 
old AR will have the same link local AND MAC addresses. So, this is 
semantically equivalent to detaching and attaching to the SAME link. 
Hence Simple DNA will already work well with this scenario as well with 
no modifications.

Thanks
Suresh

On Wednesday 24 September 2008, Premec, Domagoj wrote:
> example, as the host moves within the PMIP domain, the IPv6 prefix
> better handover perfomance when moving withFrom [email-masked]  Wed Sep 24 07:01:38 2008
Date: Wed, 24 Sep 2008 10:01:33 -0400
From: Suresh Krishnan <[email-masked]>
To: [email-masked]
Subject: Re: [dna] Applicability statement for Simple DNA (Providing text to
 resolve issue #11)
Sender: [email-masked]

Hi Domagoj,
   In my view (or should I say in the MN's view) of the PMIP spec the 
new AR will be indistinguishable from the old AR. This is because the 
old AR will have the same link local AND MAC addresses. So, this is 
semantically equivalent to detaching and attaching to the SAME link. 
Hence Simple DNA will already work well with this scenario as well with 
no modifications.

Thanks
Suresh

On Wednesday 24 September 2008, Premec, Domagoj wrote:
> example, as the host moves within the PMIP domain, the IPv6 prefix
> better handover perfomance when moving within thein the PMIP domain. Is

-- 
--julien

 PMIP domain. Is

-- 
--julien

---

From: "Premec, Domagoj" <[email-masked]>
Date: Wed, 24 Sep 2008 16:03:21 +0200

I was thinking of both the IP and the link-layer address. From the host perspective, this looks similar to the case where the current default router goes down and at the same time a new default router appears on the link. I'm not sure about the case where both ARs are using the same IP address but their link layer addresses are different. Updating only the link layer address while the IP address remains the same may be considered as a special case, but I'm not sure if there are any security considerations.

domagoj

> From: Julien Laganier [mailto:[email-masked]] 
> Sent: 24. rujan 2008 15:48
> To: [email-masked]
> Cc: Premec, Domagoj; Suresh Krishnan; JinHyeock Choi; JinHyeock Choi
> Subject: Re: [dna] Applicability statement for Simple DNA 
> You said "the host should quickly update its default router 
> to the address of the new AR".
> 
> By "address" I'm assuming you mean "link layer address". Is 
> that correct?
> 
> --julien
> 
> > I think that there may be cases where the host may benefit 
> from simple 
> > DNA even when it attaches to a previously unvisited link. 
> For example, 
> > as the host moves within the PMIP domain, the IPv6 prefix 
> assigned to 
> > the host moves together with the host across ARs (MAGs).
> > better handover perfomance when moving within the PMIP 
> domain. Is this 
> > someting that could be accomodated by the simple DNA?
> >
> > domagoj
> >
> > > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > > Of Suresh Krishnan
> > > Subject: [dna] Applicability statement for Simple DNA (Providing 
> > > text to resolve issue #11)
> > >
> > > Hi Folks,
> > >
> > > "Applicability" to resolve issue #11. The previous applicability 
> > > section will be moved into a new section called "Working 
> > > assumptions".
> > >
> > > NEW TEXT:
> > > =========
> > >
> > >     protocol provides maximum benefits when a host moves 
> between a 
> > > small
> > >     set of known links.  When a host moves to a 
> completely new link 
> > > that
> > > protocol will be identical to that using standard 
> neighbor discovery 
> > > procedures [RFC4861].
> > >
> > > If you have any issues with this text, please respond to 
> this mail 
> > > on list.
> > >
> > > Thanks
> > > Suresh
> > >

---

From: "Premec, Domagoj" <[email-masked]>
Date: Wed, 24 Sep 2008 16:03:21 +0200

domagoj

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:08:13 +0200

Hello Suresh,

Why would different ARs use same MAC address.

By the way, may I suggest that DNA documents use the term link layer 
address rather than MAC address? 

I know it's longer but the MAC qualifier sounds a bit too specific to 
me...

--julien

 On Wednesday 24 September 2008, Suresh Krishnan wrote:
> Hence Simple DNA will already work well with this scenario as well
> with no modifications.
>
> Thanks
> Suresh
>
> > simple DNA even when it attaches to a previously unvisited link.
> > For example, as the host moves within the PMIP domain, the IPv6
> > prefix assigned to the host moves together with the host across ARs
> > (MAGs). When attaching to a new link the host will see the new AR
> > advertising the same prefix, but the old AR will not be reachable
> > any more. In this case, the host should quickly update its default
> > router to the address of the new AR to avoid loosing packets sent
> > to the address of a previous default router. There is no need for
> > the host to execute any address configuration/verification
> > procedures. This would provide better handover perfomance when
> > moving within the PMIP domain. Is this someting that could be
> > accomodated by the simple DNA?
> >
> > domagoj
> >
> > > for simplicity rather than completeness.  In particular, the
> > > Simple DNA
> > > between a small

-- 
--julien

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:08:13 +0200

Hello Suresh,

--julien

-- 
--julien

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Sep 2008 10:09:46 -0400

Hi Domagoj,

> I was thinking of both the IP and the link-layer address. From the host perspective, this looks similar to the case where the current default router goes down and at the same time a new default rou…

PMIP requires all the ARs(i.e. MAGs) to have the same link local and 
link layer addresses as described in section 6.9.3 of RFC5213. Things 
may not work otherwise.

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Sep 2008 10:09:46 -0400

Hi Domagoj,

Thanks
Suresh

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:14:30 +0200

As per RFC5213 all of the MAGs of a PMIPv6 domain that can serve as 
default router for a MN would present the same link-local address to 
the MN. The link-layer address is either pre-configured on all MAGs, or 
sent by the LMA to the MAG in a Binding Acknowledgement.

--julien

On Wednesday 24 September 2008, Premec, Domagoj wrote:
> I was thinking of both the IP and the link-layer address. From the
> host perspective, this looks similar to the case where the current
> default router goes down and at the same time a new default router
> appears on the link. I'm not sure about the case where both ARs are
> using the same IP address but their link layer addresses are
> different. Updating only the link layer address while the IP address
> remains the same may be considered as a special case, but I'm not
> sure if there are any security considerations.
>
> domagoj
>
> > Cc: Premec, Domagoj; Suresh Krishnan; JinHyeock Choi; JinHyeock
> > Choi Subject: Re: [dna] Applicability statement for Simple DNA
> > > When attaching to a new link the host will see the new AR
> >
> > advertising
> >
> > > the same prefix, but the old AR will not be reachable any more.
> > > In this case, the host should quickly update its default router
> > > to the address of the new AR to avoid loosing packets sent to the
> >
> > address of
> >
> > > a previous default router. There is no need for the host to
> > > execute any address configuration/verification procedures. This
> >
> > would provide
> >
> > > > "Applicability" to resolve issue #11. The previous
> > > >     The Simple DNA protocol is provides substantial
> >
> > benefits in some
> >
> > > > scenarios and does not provide any benefit at all in
> >
> > certain other
> >
> > > > simplicity rather than completeness.  In particular, the
> >
> > Simple DNA
> >

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:14:30 +0200

--julien

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Sep 2008 10:15:18 -0400

Hi Julien,

> Why would different ARs use same MAC address.

Because the PMIP RFC says so? :-)

> address rather than MAC address? 

Sounds good. I will make the change.

Cheers
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Sep 2008 10:15:18 -0400

Hi Julien,

Cheers
Suresh

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:27:24 +0200

> Because the PMIP RFC says so? :-)

That's a good reason :) 

How to achieve that is a different story - and belongs to a different 
forum :)

--julien

---

From: Julien Laganier <[email-masked]>
Date: Wed, 24 Sep 2008 16:27:24 +0200

That's a good reason :) 

--julien